#
# spec file for package perl-Crypt-OpenSSL-Guess
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Crypt-OpenSSL-Guess
Name:           perl-Crypt-OpenSSL-Guess
Version:        0.15
Release:        1.12
Summary:        Guess OpenSSL include path
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AK/AKIYM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.64
BuildRequires:  perl(Test::More) >= 0.98
%{perl_requires}

%description
Crypt::OpenSSL::Guess provides helpers to guess OpenSSL include path on any
platforms.

Often macOS's homebrew OpenSSL cause a problem on installation due to
include path is not added. Some CPAN module provides to modify include path
with configure-args, but Carton or Module::CPANfile is not supported to
pass configure-args to each modules. Crypt::OpenSSL::* modules should use
it on your Makefile.PL.

This module resolves the include path by Net::SSLeay's workaround. Original
code is taken from 'inc/Module/Install/PRIVATE/Net/SSLeay.pm' by
Net::SSLeay.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes minil.toml README.md
%license LICENSE

%changelog
* Sat Feb 12 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.15
  see /usr/share/doc/packages/perl-Crypt-OpenSSL-Guess/Changes
  0.15 2022-02-11T08:52:23Z
  - fix synopsis (PR#12 @skaji++)
* Fri Oct 29 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.14
  see /usr/share/doc/packages/perl-Crypt-OpenSSL-Guess/Changes
  0.14 2021-10-28T15:35:02Z
  - macOS: check dylib exists in library paths (PR#11)
  - backport from Net::SSLeay 1.91_01 (PR#10)
* Tue May  4 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.13
  see /usr/share/doc/packages/perl-Crypt-OpenSSL-Guess/Changes
  0.13 2021-05-03T15:37:39Z
  - use --installed option while executing brew --prefix (PR#9 @skaji++)
* Sat Mar  6 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.12
  see /usr/share/doc/packages/perl-Crypt-OpenSSL-Guess/Changes
  0.12 2021-03-05T08:54:55Z
  - backport from Net::SSLeay 1.90 (PR#7)
  - use `brew --prefix` for OPENSSL_PREFIX if available (PR#8)
* Sun Oct  7 2018 Dirk Stoecker <opensuse@dstoecker.de>
- created package
